Skip to main content
GET
/
robots
Retrieves a list of robots
curl --request GET \
  --url https://api.inorbit.ai/robots \
  --header 'x-auth-inorbit-app-key: <api-key>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "agentOnline": true,
    "agentVersion": "<string>",
    "updatedTs": 123,
    "tags": [
      {
        "id": "<string>",
        "name": "<string>",
        "collectionId": "<string>",
        "collectionName": "<string>"
      }
    ],
    "localization": {
      "pose": {
        "frameId": "<string>",
        "x": 123,
        "y": 123,
        "theta": 123,
        "ts": 123
      }
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Query Parameters

withTags
boolean

Whether to include tags in the response. Defaults to false.

tag
string[]

Include only robots that are tagged with any of these tag IDs. This parameter can be specified multiple times as an inclusive (OR) filter.

requiredTag
string[]

Include only robots that are tagged with all of these tag IDs. This parameter can be specified multiple times as an exclusive (AND) filter.

isOnline
boolean

Filter robots by online status. If not provided, all robots will be returned.

withLocalization
boolean

Whether to include limited localization data in the response. Defaults to false. If the frameId query is provided, withLocalization will be true. Detailed localization data for a robot can be obtained through the /robots/{robotId}/localization/full endpoint.

locationId
string

Filter robots by locationId.

frameId
string

Filter robots by frameId. If not provided, all robots will be returned. If provided, withLocalization will be true. Only valid if a locationId is provided.

Response

A list of robots

id
string
required
name
string
required
agentOnline
boolean
required
agentVersion
string
required
updatedTs
integer
tags
object[]

Optional list of tags associated with the robot. Only included when requested.

localization
object

Optional limited localization data for the robot. Only included when requested.